Description
SidecarHotUpgradePlan is the Schema for the sidecarhotupgradeplans API
Type
object

Specification

PropertyTypeDescription
apiVersionstring

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

kindstring

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

metadataObjectMeta

ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

specobject
statusobject

SidecarHotUpgradePlanStatus

.spec

Type
object
Required
targetSidecarVersion
PropertyTypeDescription
gracePeriodstring

Tolerance time. Default 60s.

targetSidecarVersionstring

The target version of the hot update.

.status

Description
SidecarHotUpgradePlanStatus
Type
object
PropertyTypeDescription
observedRefobject
progressobject

HotUpgradeProgress

reasonstring
statestring

.status.observedRef

Type
object
PropertyTypeDescription
generationinteger
uidstring

UID is a type that holds unique ID values, including UUIDs. Because we don't ONLY use UUIDs, this is an alias to string. Being a type captures intent and helps make sure that UIDs and names do not get conflated.

.status.progress

Description
HotUpgradeProgress
Type
object
PropertyTypeDescription
failedinteger
podsarray
successinteger
totalinteger

.status.progress.pods

Type
array

.status.progress.pods[]

Type
object
Required
nametarget
PropertyTypeDescription
messagestring
namestring
planUIDstring

UID is a type that holds unique ID values, including UUIDs. Because we don't ONLY use UUIDs, this is an alias to string. Being a type captures intent and helps make sure that UIDs and names do not get conflated.

statestring
targetstring

API Endpoints

The following API endpoints are available:

  • /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/sidecarhotupgradeplans
    • DELETE: delete collection of SidecarHotUpgradePlan
    • GET: list objects of kind SidecarHotUpgradePlan
    • POST: create a new SidecarHotUpgradePlan
  • /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/sidecarhotupgradeplans/{name}
    • DELETE: delete the specified SidecarHotUpgradePlan
    • GET: read the specified SidecarHotUpgradePlan
    • PATCH: partially update the specified SidecarHotUpgradePlan
    • PUT: replace the specified SidecarHotUpgradePlan
  • /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/sidecarhotupgradeplans/{name}/status
    • GET: read status of the specified SidecarHotUpgradePlan
    • PATCH: partially update status of the specified SidecarHotUpgradePlan
    • PUT: replace status of the specified SidecarHotUpgradePlan

/apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/sidecarhotupgradeplans

HTTP method
DELETE
Description
delete collection of SidecarHotUpgradePlan
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
list objects of kind SidecarHotUpgradePlan
HTTP responses
HTTP codeResponse body
200 - OKSidecarHotUpgradePlanList schema
401 - UnauthorizedEmpty
HTTP method
POST
Description
create a new SidecarHotUpgradePlan
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodySidecarHotUpgradePlan schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKSidecarHotUpgradePlan schema
201 - CreatedSidecarHotUpgradePlan schema
202 - AcceptedSidecarHotUpgradePlan schema
401 - UnauthorizedEmpty

/apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/sidecarhotupgradeplans/{name}

HTTP method
DELETE
Description
delete the specified SidecarHotUpgradePlan
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
202 - AcceptedStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
read the specified SidecarHotUpgradePlan
HTTP responses
HTTP codeResponse body
200 - OKSidecarHotUpgradePlan schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update the specified SidecarHotUpgradePlan
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKSidecarHotUpgradePlan schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace the specified SidecarHotUpgradePlan
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodySidecarHotUpgradePlan schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKSidecarHotUpgradePlan schema
201 - CreatedSidecarHotUpgradePlan schema
401 - UnauthorizedEmpty

/apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/sidecarhotupgradeplans/{name}/status

HTTP method
GET
Description
read status of the specified SidecarHotUpgradePlan
HTTP responses
HTTP codeResponse body
200 - OKSidecarHotUpgradePlan schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update status of the specified SidecarHotUpgradePlan
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKSidecarHotUpgradePlan schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace status of the specified SidecarHotUpgradePlan
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodySidecarHotUpgradePlan schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKSidecarHotUpgradePlan schema
201 - CreatedSidecarHotUpgradePlan schema
401 - UnauthorizedEmpty